import { request } from 'umi';
import type { LoginParams, LoginResult } from './data';

export async function login(body: LoginParams, options?: Record<string, any>) {
  return request<API.Result<LoginResult>>('/api/login', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

export async function outLogin(options?: Record<string, any>) {
  return request<Record<string, any>>('/api/logout', {
    method: 'GET',
    ...(options || {}),
  });
}
